'''OpenGL extension NVX.cross_process_interop

This module customises the behaviour of the 
OpenGL.raw.DISABLED.NVX.cross_process_interop to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NVX/cross_process_interop.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.DISABLED import _types, _glgets
from OpenGL.raw.DISABLED.NVX.cross_process_interop import *
from OpenGL.raw.DISABLED.NVX.cross_process_interop import _EXTENSION_NAME

def glInitCrossProcessInteropNVX():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION