'''OpenGL extension ANDROID.framebuffer_target

This module customises the behaviour of the 
OpenGL.raw.EGL.ANDROID.framebuffer_target to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/ANDROID/framebuffer_target.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.EGL import _types, _glgets
from OpenGL.raw.EGL.ANDROID.framebuffer_target import *
from OpenGL.raw.EGL.ANDROID.framebuffer_target import _EXTENSION_NAME

def glInitFramebufferTargetANDROID():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION