'''OpenGL extension EXT.output_drm

This module customises the behaviour of the 
OpenGL.raw.EGL.EXT.output_drm to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/EXT/output_drm.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.EGL import _types, _glgets
from OpenGL.raw.EGL.EXT.output_drm import *
from OpenGL.raw.EGL.EXT.output_drm import _EXTENSION_NAME

def glInitOutputDrmEXT():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION