'''OpenGL extension KHR.cl_event2

This module customises the behaviour of the 
OpenGL.raw.EGL.KHR.cl_event2 to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/KHR/cl_event2.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.EGL import _types, _glgets
from OpenGL.raw.EGL.KHR.cl_event2 import *
from OpenGL.raw.EGL.KHR.cl_event2 import _EXTENSION_NAME

def glInitClEvent2KHR():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION