'''OpenGL extension KHR.lock_surface3

This module customises the behaviour of the 
OpenGL.raw.EGL.KHR.lock_surface3 to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/KHR/lock_surface3.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.EGL import _types, _glgets
from OpenGL.raw.EGL.KHR.lock_surface3 import *
from OpenGL.raw.EGL.KHR.lock_surface3 import _EXTENSION_NAME

def glInitLockSurface3KHR():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION