'''OpenGL extension NV.device_cuda

This module customises the behaviour of the 
OpenGL.raw.EGL.NV.device_cuda to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NV/device_cuda.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.EGL import _types, _glgets
from OpenGL.raw.EGL.NV.device_cuda import *
from OpenGL.raw.EGL.NV.device_cuda import _EXTENSION_NAME

def glInitDeviceCudaNV():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION