'''OpenGL extension NV.post_sub_buffer

This module customises the behaviour of the 
OpenGL.raw.EGL.NV.post_sub_buffer to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NV/post_sub_buffer.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.EGL import _types, _glgets
from OpenGL.raw.EGL.NV.post_sub_buffer import *
from OpenGL.raw.EGL.NV.post_sub_buffer import _EXTENSION_NAME

def glInitPostSubBufferNV():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION