'''OpenGL extension NV.system_time

This module customises the behaviour of the 
OpenGL.raw.EGL.NV.system_time to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NV/system_time.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.EGL import _types, _glgets
from OpenGL.raw.EGL.NV.system_time import *
from OpenGL.raw.EGL.NV.system_time import _EXTENSION_NAME

def glInitSystemTimeNV():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION